Debian Bug report logs - #543252
python-pysqlite2: build with enable_load_extension

version graph

Package: python-pysqlite2; Maintainer for python-pysqlite2 is Joel Rosdahl <joel@debian.org>; Source for python-pysqlite2 is src:python-pysqlite2.

Reported by: Stefano Costa <steko@iosa.it>

Date: Sun, 23 Aug 2009 16:15:12 UTC

Severity: normal

Found in version python-pysqlite2/2.5.5-1

Fixed in version python-pysqlite2/2.5.5-2

Done: Joel Rosdahl <joel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joel Rosdahl <joel@debian.org>:
Bug#543252; Package python-pysqlite2. (Sun, 23 Aug 2009 16:15:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Costa <steko@iosa.it>:
New Bug report received and forwarded. Copy sent to Joel Rosdahl <joel@debian.org>. (Sun, 23 Aug 2009 16:15:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Costa <steko@iosa.it>
To: submit@bugs.debian.org
Subject: python-pysqlite2: build with enable_load_extension
Date: Sun, 23 Aug 2009 18:00:34 +0200
Subject: python-pysqlite2: build with enable_load_extension
Package: python-pysqlite2
Version: 2.5.5-1
Severity: normal

*** Please type your report below this line ***
pysqlite2 is built with the SQLITE_OMIT_LOAD_EXTENSION flag enabled,
which turns off the ability to use the enable_load_extension() against
SQLite databases.

This is among other things required for using the Spatialite library with
GeoDjango, as described here: http://geodjango.org/docs/install.html#pysqlite2

Best regards,
steko

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-pysqlite2 depends on:
ii  libc6                         2.9-20     GNU C Library: Shared libraries
ii  libsqlite3-0                  3.6.16-1   SQLite 3 shared library
ii  python                        2.5.4-2    An interactive high-level object-o
ii  python-central                0.6.11     register and build utility for Pyt

python-pysqlite2 recommends no packages.

Versions of packages python-pysqlite2 suggests:
pn  python-pysqlite2-dbg          <none>     (no description available)
ii  python-pysqlite2-doc          2.5.5-1    Documentation for python-pysqlite2

-- no debconf information





Reply sent to Joel Rosdahl <joel@debian.org>:
You have taken responsibility. (Wed, 14 Oct 2009 06:33:06 GMT) Full text and rfc822 format available.

Notification sent to Stefano Costa <steko@iosa.it>:
Bug acknowledged by developer. (Wed, 14 Oct 2009 06:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 543252-close@bugs.debian.org (full text, mbox):

From: Joel Rosdahl <joel@debian.org>
To: 543252-close@bugs.debian.org
Subject: Bug#543252: fixed in python-pysqlite2 2.5.5-2
Date: Wed, 14 Oct 2009 06:18:44 +0000
Source: python-pysqlite2
Source-Version: 2.5.5-2

We believe that the bug you reported is fixed in the latest version of
python-pysqlite2, which is due to be installed in the Debian FTP archive:

python-pysqlite2-dbg_2.5.5-2_amd64.deb
  to pool/main/p/python-pysqlite2/python-pysqlite2-dbg_2.5.5-2_amd64.deb
python-pysqlite2-doc_2.5.5-2_all.deb
  to pool/main/p/python-pysqlite2/python-pysqlite2-doc_2.5.5-2_all.deb
python-pysqlite2_2.5.5-2.diff.gz
  to pool/main/p/python-pysqlite2/python-pysqlite2_2.5.5-2.diff.gz
python-pysqlite2_2.5.5-2.dsc
  to pool/main/p/python-pysqlite2/python-pysqlite2_2.5.5-2.dsc
python-pysqlite2_2.5.5-2_amd64.deb
  to pool/main/p/python-pysqlite2/python-pysqlite2_2.5.5-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 543252@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joel Rosdahl <joel@debian.org> (supplier of updated python-pysqlite2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 13 Oct 2009 22:59:44 +0200
Source: python-pysqlite2
Binary: python-pysqlite2 python-pysqlite2-doc python-pysqlite2-dbg
Architecture: source all amd64
Version: 2.5.5-2
Distribution: unstable
Urgency: low
Maintainer: Joel Rosdahl <joel@debian.org>
Changed-By: Joel Rosdahl <joel@debian.org>
Description: 
 python-pysqlite2 - Python interface to SQLite 3
 python-pysqlite2-dbg - Python interface to SQLite 3 (debug extension)
 python-pysqlite2-doc - Documentation for python-pysqlite2
Closes: 532014 543252 547850
Changes: 
 python-pysqlite2 (2.5.5-2) unstable; urgency=low
 .
   * Allow building with Python 2.6. Patch by Andrew Starr-Bochicchio and
     Stefano Zacchiroli; thanks! Closes: #532014,#547850.
   * Don't build with SQLITE_OMIT_LOAD_EXTENSION. Closes: #543252.
   * Updated to Standards-Version 3.8.3.
Checksums-Sha1: 
 ec812a8168db54ca93dde6642045be6b23e2efe4 1202 python-pysqlite2_2.5.5-2.dsc
 58426173d683decf5715138d629584dabf7d1df3 4384 python-pysqlite2_2.5.5-2.diff.gz
 e4389c7d61bda6d8bbfa21c2d5b8b9365eb732cb 48318 python-pysqlite2-doc_2.5.5-2_all.deb
 d5cf512b56f066ba5ed9e40673b431bc74b2bfee 67976 python-pysqlite2_2.5.5-2_amd64.deb
 d1916901ea18b017035544db8a7db5476d9668cd 241724 python-pysqlite2-dbg_2.5.5-2_amd64.deb
Checksums-Sha256: 
 27bbb78402e2be8255bbdffba3761b37fd2d015f698e76769325f900148c83d4 1202 python-pysqlite2_2.5.5-2.dsc
 056d511b4b8f6839d6e4b7d06652bc9a7951715440a7060cd03c247e326fc9f4 4384 python-pysqlite2_2.5.5-2.diff.gz
 1fd22eb1483853b12d421c8525f3ce7c8c4427e1bf49cf6444a56ddac57995be 48318 python-pysqlite2-doc_2.5.5-2_all.deb
 904181000e07e4469c3f123cd7642f9804b54354fe1e48e8ffc126e9a425bbee 67976 python-pysqlite2_2.5.5-2_amd64.deb
 10ac435851e3531a0f3865924ef9b350bbdaeacb8aec4e20f9d740828bbef63f 241724 python-pysqlite2-dbg_2.5.5-2_amd64.deb
Files: 
 24f67559dc7d664b67112a2fec7d0068 1202 python optional python-pysqlite2_2.5.5-2.dsc
 d05c54222b1cbeae1991d2e550888634 4384 python optional python-pysqlite2_2.5.5-2.diff.gz
 dca59d4847eeb3e6a2d9c80f149e02ab 48318 doc optional python-pysqlite2-doc_2.5.5-2_all.deb
 decd9b4fd4448d04468a85b4cae2d544 67976 python optional python-pysqlite2_2.5.5-2_amd64.deb
 946d8d1093ad52a6a46ae2fa56e368a9 241724 debug extra python-pysqlite2-dbg_2.5.5-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrU7nwACgkQAGT5/7uEXpdJDQCgkjgeQ5Hf5aAANnRyUG0hAk62
UI4AoIdRwdNrn4r7bpFqe2NdxlYqOBwc
=Gnol
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Nov 2009 07:44:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:33:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.